Interface Technology Basics: PClassInfo2 Struct Reference
Author: Steinberg

Interface Technology Basics VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups
Public Types | Public Member Functions | Public Attributes | List of all members
PClassInfo2 Struct Reference
Basic Interfaces

Version 2 of Basic Information about a class provided by the plug-in. More...

`#include <ipluginbase.h>`

## Public Types
enum | { kVendorSize = 64, kVersionSize = 64, kSubCategoriesSize = 128 }

## Public Member Functions
| PClassInfo2 (const TUID _cid, int32 _cardinality, const char8 *_category, const char8 *_name, int32 _classFlags, const char8 *_subCategories, const char8 *_vendor, const char8 *_version, const char8 *_sdkVersion)
| PClassInfo2 ()

## Public Attributes
TUID | cid
| Class ID 16 Byte class GUID.
int32 | cardinality
| Cardinality of the class, set to kManyInstances (see PClassInfo::ClassCardinality)
char8 | category [PClassInfo::kCategorySize]
| Class category, host uses this to categorize interfaces.
char8 | name [PClassInfo::kNameSize]
| Class name, visible to the user.
uint32 | classFlags
| flags used for a specific category, must be defined where category is defined
char8 | subCategories [kSubCategoriesSize]
| module specific subcategories, can be more than one, logically added by the OR operator
char8 | vendor [kVendorSize]
| overwrite vendor information from factory info
char8 | version [kVersionSize]
| Version string (e.g.
char8 | sdkVersion [kVersionSize]
| SDK version used to build this class (e.g.

## Detailed Description

Version 2 of Basic Information about a class provided by the plug-in.

## Member Enumeration Documentation

anonymous enum

Enumerator
kVendorSize |
kVersionSize |
kSubCategoriesSize |

## Constructor & Destructor Documentation

PClassInfo2 | ( | const TUID | _cid,
|  | int32 | _cardinality,
|  | const char8 * | _category,
|  | const char8 * | _name,
|  | int32 | _classFlags,
|  | const char8 * | _subCategories,
|  | const char8 * | _vendor,
|  | const char8 * | _version,
|  | const char8 * | _sdkVersion
| ) |  |
| inline

PClassInfo2 | ( |  | ) |
| inline

## Member Data Documentation

TUID cid

Class ID 16 Byte class GUID.

int32 cardinality

Cardinality of the class, set to kManyInstances (see PClassInfo::ClassCardinality)

char8 category[PClassInfo::kCategorySize]

Class category, host uses this to categorize interfaces.

char8 name[PClassInfo::kNameSize]

Class name, visible to the user.

uint32 classFlags

flags used for a specific category, must be defined where category is defined

char8 subCategories[kSubCategoriesSize]

module specific subcategories, can be more than one, logically added by the OR operator

char8 vendor[kVendorSize]

overwrite vendor information from factory info

char8 version[kVersionSize]

Version string (e.g.

"1.0.0.512" with Major.Minor.Subversion.Build)

char8 sdkVersion[kVersionSize]

SDK version used to build this class (e.g.

"VST 3.0")

Empty

Copyright ©2023 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.